<template>
  <div class="main">
    <div class="container">
      <FullCalendar :options="calendarOptions" />
    </div>
    <!-- <h1>Color mode: {{ colorMode.value }}</h1>
    <select v-model="colorMode.preference">
      <option value="system">System</option>
      <option value="light">Light</option>
      <option value="dark">Dark</option>
      <option value="sepia">Sepia</option>
    </select> -->
  </div>
</template>

<script lang="ts" setup>
import FullCalendar from '@fullcalendar/vue3'
import dayGridPlugin from '@fullcalendar/daygrid'
import interactionPlugin from '@fullcalendar/interaction'

const colorMode = useColorMode()

const calendarOptions = {
  plugins: [dayGridPlugin, interactionPlugin],
  initialView: 'dayGridMonth',
  events: [
    { title: 'event 1', date: '2024-10-12' },
    { title: 'event 2', date: '2024-10-13' }
  ]
}

definePageMeta({
  middleware: ['auth']
})
</script>

<style lang="scss" scoped></style>
